Description

copied from #7912:

Improve display of top level items in checkbox tree viewer
OK, this works. Only it feels a bit strange that there is a checkbox which is always empty and can not be clicked and at the same time
all the childrens are selected, e.g.:

4 [_||Continent
Europe
Africa
Australasia
South America
MNerth America
Pacific
Antarctica
Asia Temperate
Asia Tropical

So best would be to handle this checkbox as standard checkbox with in trees with unchecked=no child selected, checked=all children
selected, tristate=some children selected. Alternatively, if possible, we could simply remove the checkbox.

Set gray state
Even if greying the checkbox does not work on Ubuntu for some reason | think we should still try to do it and see if it works e.g. on

Windows. A grey checkbox is more intuitive then italics. But of course we will keep the italics too to make sure that the dialog
generally works on all systems.

Related issues:
Copied from EDIT - feature request #7912: Enhance checkbox tree viewer Closed

History

#1 - 02/08/2019 03:28 PM - Patrick Plitzner
- Subject changed from Improve display of top level items in checkbox tree viewer to Remaing issues - CheckBoxTreeComposite

- Description updated

#2 - 02/19/2019 06:57 PM - Andreas Miuller

- Copied from feature request #7912: Enhance checkbox tree viewer added

#3 - 12/03/2019 12:49 PM - Katja Luther

- Assignee changed from Patrick Plitzner to Katja Luther

Files

picture656-1.png 3.06 KB 02/01/2019 Patrick Plitzner

04/19/2024 1/1



https://dev.e-taxonomy.eu/redmine/issues/7912
http://www.tcpdf.org

